---@meta

---@class USharedMemoryMediaCapture : UMediaCapture
local USharedMemoryMediaCapture = {}


---@class USharedMemoryMediaOutput : UMediaOutput
---@field UniqueName FString
---@field bInvertAlpha boolean
---@field bCrossGpu boolean
local USharedMemoryMediaOutput = {}



---@class USharedMemoryMediaSource : UMediaSource
---@field UniqueName FString
---@field Mode ESharedMemoryMediaSourceMode
---@field bZeroLatency boolean
local USharedMemoryMediaSource = {}



